#################################### 
#
#        GunGame Messages        
#
#  All the Chat Area messages from GunGame3
#                                                
####################################

# Main imports 
import es
import gungamelib

# General Addon information
info = es.AddonInfo()
info.name        = "GunGame Messages"
info.version     = "1.0.0"
info.author      = "TP.Predator"
info.url         = "http://www.eventscripts.com"
info.description = "Chat Area Level Up Message" 

def load():
    # Register as GunGame Addon
    gg_msgs = gungamelib.registerAddon('gg_msgs')
    gg_msgs.setDisplayName('GunGame')
    gg_msgs.loadTranslationFile()

def unload():
     # Unregister GunGame Addon
    gungamelib.unregisterAddon('gg_msgs')

def gg_levelup(ev):
    # Check if in Warmup
    if gungamelib.getGlobal('isWarmup'):
        return  

    # Get Event Information
    attacker = int(ev['attacker'])

    # Setup GunGameLib for specific player
    gPlayer = gungamelib.getPlayer(attacker) 

    # Get there level and compare it to leaders level
    leaderLevel = gungamelib.leaders.getLeaderLevel()
    levelsBehindLeader = leaderLevel - gPlayer['level']

    # See if they are the leader or joint leader
    if levelsBehindLeader == 0:
        return

    # See if they are 1 level behind
    if levelsBehindLeader == 1:
        gungamelib.msg('gg_msgs', attacker, 'LevelUpMsg_1', {'levelbehind':levelsBehindLeader})
        return

    # Send them the message 
    gungamelib.msg('gg_msgs', attacker, 'LevelUpMsg', {'levelbehind':levelsBehindLeader})


